# Macintosh SE Hardware

This is my effort to assemble all the pertinent hardware design
information on the Macintosh SE into a single coherent information
repository.  The goal is to be able to have sufficiently detailed
information to, in theory, reproduce an identical (or nearly so)
physical, functional copy of the Macintosh SE.

However, my primary interest in having this information available is
to have detailed information for studying the Macintosh SE hardware,
and for maintaining existing Macintosh SE computers.

Conventional Macintosh emulator software prioritizes access to
application software without regard to the mechanical and electrical
design of the actual machine itself.  My hope is that this repository
of information will enable the same kind of virtual access to the
hardware as we have to the vintage Macintosh software through the use
of conventional Macintosh emulators.

## What is currently available?

Currently, this repository only contains a vector graphics hand
trace-over of page 1 of the Macintosh SE Main Logic Board (MLB)
schematics.  Typed text is used for all legible text.  Since pages 2
and 3 of the MLB schematics are missing and nowhere to be found on the
Internet, they will have to be redrawn from the reverse engineered
printed circuit board layout.

Follow this link to [jump to the redrawn
schematic](old_artifacts/schems/retrace_se_mlb_p1.svg).

There are lots of other independent projects with good pieces of
information out and about on the Macintosh SE.  For the time being,
these are linked from documentation in the repository.  In the event
the project has a potentially insecure future or lacks a durable
storage location, the pertinent information is copied into this
repository.

## See also

Check out the GitHub repository repository with redrawn schematics for
the Macintosh SE/30:

https://github.com/mishimasensei/macse30mlb

## License

Since a primary goal of this project is to assemble historic
information into a coherent repository, as much as possible, new
developments are released into the public domain.  After all, as is
well understood in the vintage computing community, all patents and
copyrights are destined to eventually expire with the passing of
enough time, at which point the covered works cede into the public
domain.

Therefore, if you don't have an interest in exercising any exclusive
rights covered under copyright, you might as well simply declare your
works to enter the public domain early, rather than using a permissive
license or a copyleft license.  For example, the CERN Open Hardware
Licence.

In the event that your jurisdiction does not have the concept of the
public domain, the Creative Commons Public Domain Dedication License
(CC0) is used as a fallback permissive license.
